Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.context.exception
Class ExceptionScope

    java.lang.Object
      org.jbpm.process.core.context.AbstractContext
          org.jbpm.process.core.context.exception.ExceptionScope

All Implemented Interfaces:
  Serializable, Context

Direct Known Subclasses:
  CompensationScope

    public class ExceptionScope

extends AbstractContext

See Also:
  Serialized Form

Field Summary
`static String` | `EXCEPTION_SCOPE`
`protected Map<String,ExceptionHandler>` | `exceptionHandlers`

Constructor Summary
`ExceptionScope()`

Method Summary
`ExceptionHandler` | `getExceptionHandler(String exception)`
`Map<String,ExceptionHandler>` | `getExceptionHandlers()`
`String` | `getType()`
`void` | `removeExceptionHandler(String exception)`
`Context` | `resolveContext(Object param)`
`void` | `setExceptionHandler(String exception, ExceptionHandler exceptionHandler)`
`void` | `setExceptionHandlers(Map<String,ExceptionHandler> exceptionHandlers)`

Methods inherited from class org.jbpm.process.core.context.AbstractContext
`getContextContainer, getId, setContextContainer, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXCEPTION_SCOPE

    public static final String EXCEPTION_SCOPE

See Also:
  Constant Field Values

### exceptionHandlers

    protected Map<String,ExceptionHandler> exceptionHandlers

Constructor Detail

### ExceptionScope

    public ExceptionScope()

Method Detail

### getType

    public String getType()

### setExceptionHandler

    public void setExceptionHandler(String exception,
                                    ExceptionHandler exceptionHandler)

### getExceptionHandler

    public ExceptionHandler getExceptionHandler(String exception)

### removeExceptionHandler

    public void removeExceptionHandler(String exception)

### getExceptionHandlers

    public Map<String,ExceptionHandler> getExceptionHandlers()

### setExceptionHandlers

    public void setExceptionHandlers(Map<String,ExceptionHandler> exceptionHandlers)

### resolveContext

    public Context resolveContext(Object param)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.